
-- include Corona's "widget" library
local widget = require "widget"
local composer = require "composer"

appnext = require( "plugin.appnext" )

local platform = system.getInfo( "platformName" )

if ( platform == "iPhone OS" ) then
    interstitialPlacementID = "YOUR_IOS_INTERSTITIAL_PLACEMENT_ID"
    fullscreenPlacementID = "YOUR_IOS_FULL_SCREEN_PLACEMENT_ID"
    rewardedPlacementID = "YOUR_IOS_REWARDED_PLACEMENT_ID"
elseif ( platform == "Android" ) then
    interstitialPlacementID = "YOUR_ANDROID_INTERSTITIAL_PLACEMENT_ID"
    fullscreenPlacementID = "YOUR_ANDROID_FULL_SCREEN_PLACEMENT_ID"
    rewardedPlacementID = "YOUR_ANDROID_REWARDED_PLACEMENT_ID"
end

local interstitialConfig = {
	Categories = "",
	Postback = "",
	ButtonText = "Install App",
	ButtonColor = "#ff0000",
	BackButtonCanClose = false,
	Mute = false,
	SkipText = "Close Ad",
    CreativeType = "video",
    AutoPlay = true
}

local fullscreenConfig = {
	Categories = "",
	Postback = "",
	ButtonText = "Install App",
	ButtonColor = "#ff0000",
	BackButtonCanClose = false,
	Mute = false,

	ProgressType = "bar",
    ProgressColor = "#00ff00",
    VideoLength = "30",
    ShowClose = true,
    CloseDelay = 4.5,
    PreferredOrientation = "landscape"
}

local rewardedConfig = {
	Categories = "",
	Postback = "",
	ButtonText = "Install App",
	ButtonColor = "#ff0000",
	BackButtonCanClose = false,
	Mute = false,

	ProgressType = "bar",
    ProgressColor = "#00ff00",
    VideoLength = "30",
    ShowClose = true,
    CloseDelay = 4.5,
    PreferredOrientation = "landscape"
}

interstitialAdKey = appnext.createAd( "interstitial", interstitialPlacementID, interstitialConfig)
fullscreenAdKey = appnext.createAd( "fullscreen", fullscreenPlacementID, fullscreenConfig )
rewardedAdKey = appnext.createAd( "rewarded", rewardedPlacementID, rewardedConfig )

-- interstitial settings
--[[
appnext.setButtonText( interstitialAdKey, "Test" )
appnext.setButtonColor( interstitialAdKey, "#FF69B4" )
appnext.setSkipText( interstitialAdKey, "Daleg" )
appnext.setCategories( interstitialAdKey, "action" )
appnext.setPostback( interstitialAdKey, "QA Test Interstitial" )
appnext.setBackButtonCanClose( interstitialAdKey, true )
appnext.setAutoPlay( interstitialAdKey, true )
appnext.setMute( interstitialAdKey, true)
appnext.setCreativeType( interstitialAdKey, "managed" )


-- fullscreen settings

appnext.setButtonText( fullscreenAdKey, "Test" )
appnext.setButtonColor( fullscreenAdKey, "#FF69B4" )
appnext.setCategories( fullscreenAdKey, "" )
appnext.setPostback( fullscreenAdKey, "QA Test Fullscreen" )
appnext.setProgressType( fullscreenAdKey, "clock" )
appnext.setProgressColor( fullscreenAdKey, "#FF69B4" )
appnext.setBackButtonCanClose( fullscreenAdKey, true )
appnext.setShowClose(fullscreenAdKey, true)
appnext.setCloseDelay( fullscreenAdKey, 4 )
appnext.setMute( fullscreenAdKey, false )
appnext.setVideoLength( fullscreenAdKey, "15" )

-- rewarded

appnext.setButtonText( rewardedAdKey, "Test" )
appnext.setButtonColor( rewardedAdKey, "#FF69B4" )
appnext.setCategories( rewardedAdKey, "" )
appnext.setPostback( rewardedAdKey, "QA Test Rewarded" )
appnext.setProgressType( rewardedAdKey, "clock" )
appnext.setProgressColor( rewardedAdKey, "#FF69B4" )
appnext.setBackButtonCanClose( rewardedAdKey, true )
appnext.setShowClose( rewardedAdKey, false )
-- appnext.setCloseDelay( rewardedAdKey, 1.5 )
appnext.setMute( rewardedAdKey, true )
appnext.setVideoLength( rewardedAdKey, "30" )

appnext.setRewardsAmountRewarded( rewardedAdKey, "1" )
appnext.setRewardsCustomParameter( rewardedAdKey, "2" )
appnext.setRewardsRewardTypeCurrency( rewardedAdKey, "3" )
appnext.setRewardsTransactionId( rewardedAdKey, "4" )
appnext.setRewardsUserId( rewardedAdKey, "5" )
]]--

-- show default status bar (iOS)
display.setStatusBar( display.DefaultStatusBar )

composer.gotoScene( "menu" )
