local composer = require( "composer" )
local widget = require( "widget" )
local scene = composer.newScene()

local sceneGroup

local log=""

function scene:create( event )
	

	-- log
	local loglab = display.newText("Log", 30, 340, native.systemFont, 16)
	loglab:setFillColor( 0 )


	logBox = native.newTextBox( display.contentCenterX, 420, 300, 100 )
	log="----- Event Log -----"
	logBox.text = log
	logBox.isEditable = false

	-- load button
	local function handleButtonClear( event )
	    log="----- Event Log -----"
	    logBox.text = log
	end
	local cleanBtn = widget.newButton
	{
		emboss = true,
		label = "Clear Log",
		onRelease  = handleButtonClear,
	}

	cleanBtn.x = 250
	cleanBtn.y = 350
	cleanBtn:scale(0.7, 0.7)

	local function printLog(text)
		log=log.."\n"..text
		logBox.text = log
	end

	function listener( event )
	    print( "Received " .. event.event .. " for " .. event.adKey .. " with message " .. event.message )
	    printLog( event.event )
	end


	-- Initialize the Appnext plugin
	appnext.init( listener )

	sceneGroup = self.view

	-- create a white background to fill screen
	local function hideKeyboard()
		native.setKeyboardFocus( nil )
	end

	local background = display.newRect( display.contentCenterX, display.contentCenterY, display.contentWidth, display.contentHeight )
	background:setFillColor( 1 )
	background:addEventListener( "tap", hideKeyboard )
	
--logo
	local title = display.newImage( "logo.png" )
	title.x = display.contentCenterX
	title.y = 40
	title:scale( 1.2, 1.2 )


	local interstitiallab = display.newText("Interstitial", display.contentCenterX, 100, native.systemFont, 20)
	interstitiallab:setFillColor( 0 )

-- load button
	local function handleButtonEvent1( event )
	    if ( "ended" == event.phase ) then
	    	appnext.loadAd( interstitialAdKey )
	    end
	end
	local loadbtn1 = widget.newButton
	{
		defaultFile = "loadbtn1-1.png",
		overFile = "loadbtn1-2.png",
		emboss = true,
		onRelease  = handleButtonEvent1,
	}

	loadbtn1.x = 80
	loadbtn1.y = 140
	loadbtn1:scale( 0.7, 0.7 )

-- show button
	local function handleButtonEvent2( event )
	    if ( "ended" == event.phase ) then
	        if ( appnext.adIsLoaded( interstitialAdKey ) ) then
			    appnext.showAd( interstitialAdKey )
			else
				native.showAlert( "Warnning", "You should load ads at first.", {"OK"} )
			end
	    end
	end
	local showbtn1 = widget.newButton
	{
		defaultFile = "showbtn1-1.png",
		overFile = "showbtn1-2.png",
		emboss = true,
		onRelease  = handleButtonEvent2,
	}

	showbtn1.x = 240
	showbtn1.y = 140
	showbtn1:scale(0.7, 0.7)


	local fullscreenlab = display.newText("Fullscreen", display.contentCenterX, 180, native.systemFont, 20)
	fullscreenlab:setFillColor( 0 )

-- load button
	local function handleButtonEvent3( event )
	    if ( "ended" == event.phase ) then
	    	appnext.loadAd( fullscreenAdKey )
	    end
	end
	local loadbtn2 = widget.newButton
	{
		defaultFile = "loadbtn2-1.png",
		overFile = "loadbtn2-2.png",
		emboss = true,
		onRelease  = handleButtonEvent3,
	}

	loadbtn2.x = 80
	loadbtn2.y = 220
	loadbtn2:scale(0.7, 0.7)

-- show button
	local function handleButtonEvent4( event )
	    if ( "ended" == event.phase ) then
	        if ( appnext.adIsLoaded( fullscreenAdKey ) ) then
			    appnext.showAd( fullscreenAdKey )
			else
				native.showAlert( "Warnning", "You should load ads at first.", {"OK"} )
			end
	    end
	end
	local showbtn2 = widget.newButton
	{
		defaultFile = "showbtn2-1.png",
		overFile = "showbtn2-2.png",
		emboss = true,
		onRelease  = handleButtonEvent4,
	}

	showbtn2.x = 240
	showbtn2.y = 220
	showbtn2:scale(0.7, 0.7)


	local rewardedlab = display.newText("Rewarded", display.contentCenterX, 260, native.systemFont, 20)
	rewardedlab:setFillColor( 0 )

-- load button
	local function handleButtonEvent5( event )
	    if ( "ended" == event.phase ) then
	    	appnext.loadAd( rewardedAdKey )
	    end
	end
	local loadbtn3 = widget.newButton
	{
		defaultFile = "loadbtn3-1.png",
		overFile = "loadbtn3-2.png",
		emboss = true,
		onRelease  = handleButtonEvent5,
	}

	loadbtn3.x = 80
	loadbtn3.y = 300
	loadbtn3:scale(0.7, 0.7)

-- show button
	local function handleButtonEvent6( event )
	    if ( "ended" == event.phase ) then
	        if ( appnext.adIsLoaded( rewardedAdKey ) ) then
			    appnext.showAd( rewardedAdKey )
			else
				native.showAlert( "Warnning", "You should load ads at first.", {"OK"} )
			end
	    end
	end
	local showbtn3 = widget.newButton
	{
		defaultFile = "showbtn3-1.png",
		overFile = "showbtn3-2.png",
		emboss = true,
		onRelease  = handleButtonEvent6,
	}

	showbtn3.x = 240
	showbtn3.y = 300
	showbtn3:scale( 0.7, 0.7 )


	-- all objects must be added to group (e.g. self.view)
	sceneGroup:insert( background )
	sceneGroup:insert( title )
	sceneGroup:insert( loadbtn1 )
	sceneGroup:insert( showbtn1 )
	sceneGroup:insert( loadbtn2 )
	sceneGroup:insert( showbtn2 )
	sceneGroup:insert( loadbtn3 )
	sceneGroup:insert( showbtn3 )
	sceneGroup:insert( cleanBtn )
	sceneGroup:insert( logBox )
	sceneGroup:insert( loglab )

end

 	--Coronanjlator

function scene:show( event )
	print( "show scene now." )
	local sceneGroup = self.view
	local phase = event.phase
	
	if phase == "will" then
		-- Called when the scene is still off screen and is about to move on screen
	elseif phase == "did" then
		-- Called when the scene is now on screen
		-- 
		-- INSERT code here to make the scene come alive
		-- e.g. start timers, begin animation, play audio, etc.
	end	
end

function scene:hide( event )
	print( "hide scene now." )
	sceneGroup = self.view
	local phase = event.phase
	
	if event.phase == "will" then
		-- Called when the scene is on screen and is about to move off screen
		--
		-- INSERT code here to pause the scene
		-- e.g. stop timers, stop animation, unload sounds, etc.)
	elseif phase == "did" then
		-- Called when the scene is now off screen
	end
end

function scene:destroy( event )
	print( "destroy scene now." )
	sceneGroup = self.view

	-- Called prior to the removal of scene's "view" (sceneGroup)
	-- 
	-- INSERT code here to cleanup the scene
	-- e.g. remove display objects, remove touch listeners, save state, etc.
end

------------------------   Listener setup

scene:addEventListener( "create", scene )
scene:addEventListener( "show", scene )
scene:addEventListener( "hide", scene )
scene:addEventListener( "destroy", scene )

-----------------------------------------

return scene